BLKDISCARD(8)

BEZEICHNUNG
blkdiscard - Sektoren auf einem Gerät verwerfen

ÜBERSICHT

blkdiscard [Optionen] [-o Versatz] [-l Länge] Gerät

BESCHREIBUNG

blkdiscard wird zum Verwerfen von Gerätesektoren verwendet. Dies ist für Solid State Drives (SSDs) und sonstige Geräte mit geringem Speicherplatz nützlich. Im Gegensatz zu fstrim(8) wird dieser Befehl direkt auf dem blockorientierten Gerät angewendet.

Per Vorgabe verwirft blkdiscard alle Blöcke eines Gerätes. Zum Anpassen des Verhaltens sind Optionen verfügbar, die auf Bereichen oder Größenangaben basieren, wie nachfolgend erläutert.

Das Argument Gerät ist der Pfadname zu dem blockorientierten Gerät.

WARNUNG: Alle Data im verworfenen Bereich des Gerätes gehen verloren!

OPTIONEN

Die Argumente für Länge und Versatz können durch die Binärsuffixe KiB=1024, MiB1024*1024 und so weiter für GiB, TiB, PiB und EiB ergänzt werden, wobei das »iB« nicht erforderlich ist. Zum Beispiel ist »K« gleichbedeutend mit »KiB«. Möglich sind außerdem die Dezimalsuffixe KB=1000, MB=1000*1000, GB, PB und EB.

-f, --force
    deaktiviert sämtliche Überprüfungen. Seit Version 2.36 ist das blockorientierte Gerät standardmäßig im exklusiven Modus (O_EXCL) geöffnet, um Kollisionen mit dem eingehängten Dateisystem oder einem anderen Kernel-Subsystem zu vermeiden. Die Option --force deaktiviert den exklusiven Zugriffsmodus.

-o, --offset Versatz
    ist der Byte-Versatz des Gerätes, wo mit der Verwerfung begonnen werden soll. Der angegebene Wert muss an der Sektorengröße des Gerätes ausgerichtet sein. Der Vorgabewert ist 0.

-l, --length Länge
    bezeichnet die Anzahl der zu verwerfenden Bytes (vom Anfangspunkt gezählt). Der angegebene Wert muss an der Sektorengröße des Gerätes ausgerichtet sein. Falls dieser Wert das Ende des Gerätes überschreitet, stoppt blkdiscard, wenn das Ende der Gerätegröße erreicht ist. Der Vorgabewert ist das Ende des Gerätes.

-p, --step Länge
    gibt die während eines Durchlaufs zu verwerfenden Bytes an. In der Voreinstellung werden alle Bytes mit einem Ioctl-Aufruf verworfen.

-s, --secure
    führt ein sicheres Verwerfen aus. Das ist das gleiche wie ein reguläres Verwerfen, außer dass alle Kopien der verworfenen Blöcke, die möglicherweise in der Müll-Sammlung erzeugt wurden, auch verworfen werden müssen. Dieser Vorgang muss vom jeweiligen Gerät unterstützt werden.

-z, --zeroout
    füllt mit Nullen, statt zu verwerfen.

-v, --verbose
    zeigt die ausgerichteten Werte für Versatz und Länge an. Wenn die Option --step angegeben ist, wird der Fortschritt des Verwerfungsvorgangs im Sekundentakt angezeigt.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

AUTOREN

SIEHE AUCH

fstrim(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl blkdiscard ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).